## libindi 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,16 @@
 cmake_minimum_required(VERSION 2.4.7)
 
+
+##################  INDI version  ################################
 set(INDI_VERSION "0.6")
 set(INDI_SOVERSION "0")
 
+set(CMAKE_INDI_VERSION_MAJOR 0)
+set(CMAKE_INDI_VERSION_MINOR 6)
+set(CMAKE_INDI_VERSION_RELEASE 1)
+set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
+
+##################  Paths  ################################
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
@@ -10,6 +18,14 @@
 
 MESSAGE( STATUS "BIN_INSTALL_DIR: " ${BIN_INSTALL_DIR} )
 
+##################  setup install directories  ################################
+set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
+set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name")
+## the following are directories where stuff will be installed to
+set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
+set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
+
+##################  Includes  ################################
 Include (CheckCXXSourceCompiles)
 include (MacroOptionalFindPackage)
 include (MacroLogFeature)
@@ -22,6 +38,11 @@
 macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")
 
 macro_optional_find_package(CFITSIO)
+
+if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
+  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://indi.sf.net")
+endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
+
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
@@ -146,7 +167,7 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c 
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp )
 
 add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
@@ -159,9 +180,9 @@
 
 install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
 
-file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake 
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
 "exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n 
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200_16)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200gps)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200ap)\n
@@ -314,45 +335,3 @@
 if (NOVA_FOUND)
   target_link_libraries(indi_trutech_wheel ${NOVA_LIBRARIES})
 endif (NOVA_FOUND)
-
-install(TARGETS indi_trutech_wheel RUNTIME DESTINATION bin )
-
-#################################################################################
-
-########## FLI Filter Wheel ############
-if (FLI_FOUND)
-set(fliwheel_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/fli_wheel.c
-   )
-
-add_executable(indi_fli_wheel ${fliwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_wheel ${FLI_LIBRARIES} m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_wheel ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
-endif (FLI_FOUND)
-#################################################################################
-
-#######################################
-############# CCD GROUP ###############
-#######################################
-
-############# FLI CCD ###############
-if (CFITSIO_FOUND AND FLI_FOUND)
-
-set(fliccd_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/ccd/fli_ccd.c
-)
-
-add_executable(indi_fli_ccd ${fliccd_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_ccd ${FLI_LIBRARIES} ${CFITSIO_LIBRARIES} m z)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_ccd ${NOVA_LIBRARIES})
