## libindi 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,10 @@
 cmake_minimum_required(VERSION 2.4.7)
 
-
 ##################  INDI version  ################################
-set(INDI_VERSION "0.6")
 set(INDI_SOVERSION "0")
-
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 6)
-set(CMAKE_INDI_VERSION_RELEASE 1)
+set(CMAKE_INDI_VERSION_MINOR 8)
+set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
 ##################  Paths  ################################
@@ -34,21 +31,24 @@
 
 find_package(ZLIB REQUIRED)
 
+FIND_PACKAGE(Boost)
+IF (BOOST_FOUND)
+    INCLUDE_DIRECTORIES(${BOOST_INCLUDE_DIR})
+ENDIF()
+
+
 macro_optional_find_package(USB)
-macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")
+macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://www.libusb.org" FALSE "" "Provides support for USB based drivers in INDI.")
 
 macro_optional_find_package(CFITSIO)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
-  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://indi.sf.net")
+  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
 endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
 
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
-
-macro_optional_find_package(FLI)
-macro_log_feature(FLI_FOUND "libfli" "Finger Lakes Instrument Library" "http://indi.sourceforge.net/" FALSE "1.71" "Provides INDI with support for controlling FLI CCDS & Filter Wheels.")
 
 macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
@@ -59,6 +59,10 @@
 macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
+
+if(COMMAND cmake_policy)
+ cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
 include_directories( ${CMAKE_SOURCE_DIR})
@@ -72,10 +76,6 @@
 if (NOVA_FOUND)
     include_directories(${NOVA_INCLUDE_DIR})
 endif (NOVA_FOUND)
-
-if (FLI_FOUND)
-    include_directories(${FLI_INCLUDE_DIR})
-endif (FLI_FOUND)
 
 set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )
 
@@ -93,10 +93,27 @@
 	)
 
 set (indimain_SRCS
+        ${CMAKE_SOURCE_DIR}/indidriver.c
 	${CMAKE_SOURCE_DIR}/indidrivermain.c
 	${CMAKE_SOURCE_DIR}/eventloop.c
     )
 
+set (indiclient_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.cpp
+    )
+
+set (indidriver_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
+    )
+
+
 ######################################
 ########### INDI SERVER ##############
 ######################################
@@ -113,15 +130,11 @@
 
 install(TARGETS indiserver RUNTIME DESTINATION bin )
 
-######################################
-######## INDI Static Library #########
-######################################
-add_library(indidriver STATIC ${indimain_SRCS})
-install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
-
-######################################
-######## INDI Shared Library #########
-######################################
+#################################################
+############# INDI Shared Library ###############
+# To offer lilxml and communination routines    #
+# Mostly used by generic clients                #
+#################################################
 add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
 target_link_libraries(indi m z)
 
@@ -131,12 +144,30 @@
 if (CFITSIO_FOUND)
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
-if (FLI_FOUND)
-target_link_libraries(indi ${FLI_LIBRARIES})
-endif(FLI_FOUND)
 
 install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
-set_target_properties(indi PROPERTIES VERSION ${INDI_VERSION} SOVERSION ${INDI_SOVERSION})
+set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
+
+##################################################
+############ INDI Main Static Library ############
+# To link with main() for 3rd party drivers      #
+##################################################
+add_library(indimain STATIC ${indimain_SRCS})
+install(TARGETS indimain ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##################################################
+###### INDI Default Driver Static Library ########
+# To link with main() and indibase classes       #
+##################################################
+add_library(indidriver STATIC ${indimain_SRCS} ${indidriver_SRCS})
+install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##################################################
+########### INDI Client Static Library ###########
+##################################################
+add_library(indiclient STATIC ${indiclient_SRCS})
+target_link_libraries(indiclient indi pthread)
+install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
 #####################################
 ########## TELESCOPE GROUP ##########
@@ -200,6 +231,7 @@
 
 target_link_libraries(indi_celestron_gps m )
 
+
 if (NOVA_FOUND)
   target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
 endif (NOVA_FOUND)
@@ -275,63 +307,16 @@
 
 install(TARGETS indi_intelliscope RUNTIME DESTINATION bin )
 
-#####################################
-########## FOCUSER GROUP ############
-#####################################
-
-###### FLI Precision Digital Focuser ######
-if (FLI_FOUND)
-set(flipdf_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/fli_pdf.c
-)
-
-add_executable(indi_fli_pdf ${flipdf_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_pdf m ${FLI_LIBRARIES})
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_pdf ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_pdf RUNTIME DESTINATION bin )
-endif(FLI_FOUND)
-#################################################################################
-
-################ Robo Focuser ################
-
-set(robofocus_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocus.c
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocusdriver.c
-   )
-
-add_executable(indi_robofocus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_robofocus m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_robofocus ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_robofocus RUNTIME DESTINATION bin )
-
-#################################################################################
-
-#####################################
-######## FILTER WHEEL GROUP #########
-#####################################
-
-########## True Technology Wheel ############
-set(trutechwheel_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/trutech_wheel.c
-   )
-
-add_executable(indi_trutech_wheel ${trutechwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_trutech_wheel  m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_trutech_wheel ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+########### Syncscan ###############
+set(synscan_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/synscanmount.cpp )
+
+add_executable(indi_synscan ${synscan_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_synscan indidriver m z)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_synscan ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
