=== debian/changelog ===
libindi (0.8-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - indi-bin replaces/conflicts old indi
   - indi-data replaces/conflicts old indi
   - Version boost build-depends
   - Add build-dep on libfli-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Dec 2011 11:14:22 +0000

libindi (0.8-1) unstable; urgency=low

  * Initial release.
  * Add patches:
    - format-security.diff: fix string literals for snprintf() invocations
    - libdir.diff: respect the LIB_DESTINATION cmake variable
    - destdir.diff: respect the DESTDIR envvar
    - fix-pkgconfig.diff: fix some issues in the .pc pkg-config file

 -- Pino Toscano <pino@debian.org>  Sat, 01 Oct 2011 19:40:46 +0200

libindi (0.8-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Add boost to build deps
    - Bump soversion to 0.8

  [ Jonathan Riddell ]
  * Use source format 3.0
  * Add kubuntu_01_link_pthreads.diff to fix linking with pthreads

  [ Jonathan Thomas ]
  * Change Maintainer from MOTU to Ubuntu Developers

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 14 Jul 2011 18:18:04 +0200

libindi (0.6.1-0ubuntu2) maverick; urgency=low

  * Install pkg-config file
  * Install libindi.so.0
  * Point to full LGPL text in debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Jun 2010 12:16:05 +0100

libindi (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove .svn dir from debian/
  * Remove dh-make templates for debian/

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jun 2010 00:35:17 -0400

libindi (0.6-0ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sat, 06 Mar 2010 13:34:55 +0100

libindi (0.6-0ubuntu1) jaunty; urgency=low

  * Update packaging for upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Feb 2009 20:26:22 +0000

libindi (0.6) gutsy; urgency=low

  * Initial release

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 3 Oct 2008 21:00:00 +0300

libindi (0.6.1-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 18 Jul 2010 08:51:33 -0700
