=== debian/changelog ===
libindi (0.9-1) unstable; urgency=low

  * New upstream release:
    - provides the fix by Nobuhiro Iwamatsu (thanks!) for compiling on SuperH.
      (Closes: #644456)
  * Update the patches:
    - destdir.diff: drop, applied upstream
    - fix-pkgconfig.diff: drop, applied upstream
    - format-security.diff: drop, applied upstream
    - libdir.diff: refresh, dropping the applied parts
  * boost is no more a dependency, so remove libboost-dev from the the build
    dependencies and from the libindi-dev dependencies.
  * libindi-dev: add dependency on libcfitsio3-dev, as cfitsio headers are
    included in public headers.
  * Update copyright.
  * Upstream does not keep a stable ABI while not bumping the SONAME, so:
    - bump the SONAME to 0a (patch abi.diff)
    - rename libindi0 to libindi0a
    - drop the symbols file of libindi, "replaced" by a tight shlibs

 -- Pino Toscano <pino@debian.org>  Mon, 16 Jan 2012 17:16:38 +0100
