=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: libindi
 Section: misc
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  cmake (>= 2.4.7),
- libboost1.46-dev,
  libcfitsio3-dev,
  libnova-dev,
  libusb-dev,
- zlib1g-dev,
- libfli-dev
+ zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0
+Package: libindi0a
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -37,8 +34,8 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0 (= ${binary:Version}), ${misc:Depends},
- libboost-dev, libusb-dev
+Depends: libindi0a (= ${binary:Version}), ${misc:Depends},
+ libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.
@@ -51,8 +48,6 @@
 Package: libindi-data
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: indi
-Replaces: indi
 Multi-Arch: foreign
 Description: Instrument-Neutral Device Interface library -- shared data
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -67,8 +62,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libindi-data (>= ${source:Version})
-Conflicts: indi
-Replaces: indi
 Description: INDI server, drivers and tools
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.
@@ -83,7 +76,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0 (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0a (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols
