## libindi 0.9.1

=== debian/changelog ===
libindi (0.9.1-2ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. Remaining change:
  * Build-depend on libfli-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Jun 2012 10:03:46 -0400

libindi (0.9.1-2) unstable; urgency=low

  * Release to unstable.
  * Bump the libnova-dev build dependency to >= 0.14.0. (Not really needed,
    but makes sure it is built with an up-to-date libnova.)

 -- Pino Toscano <pino@debian.org>  Sun, 25 Mar 2012 15:08:06 +0200

libindi (0.9.1-1) experimental; urgency=low

  * New upstream release.
  * It seems ABI is broken (new virtual method), so:
    - bump the SONAME to 0b (update patch abi.diff)
    - rename libindi0a to libindi0b
  * Bump Standards-Version to 3.9.3, no changes required.
  * Switch copyright to copyright-format 1.0.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Mar 2012 13:20:47 +0100
