=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libindi
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  cmake (>= 2.4.7),
  libcfitsio3-dev,
- libnova-dev,
+ libfli-dev,
+ libnova-dev (>= 0.14.0),
  libusb-dev,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0a
+Package: libindi0b
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -34,7 +36,7 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0a (= ${binary:Version}), ${misc:Depends},
+Depends: libindi0b (= ${binary:Version}), ${misc:Depends},
  libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -76,7 +78,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0a (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0b (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols
